// src/api/todoApi.js
import axios from 'axios';
import { attachAuthInterceptors } from './attachInterceptors';
import { createApi } from './createApi';
export const initTodoApi = (logout) => createApi(process.env.REACT_APP_API_TODO, logout);

const todoApi = axios.create({
  baseURL: process.env.REACT_APP_API_TODO,
  headers: { 'Content-Type': 'application/json' }
});

attachAuthInterceptors(todoApi);

export default todoApi;
