// src/api/todoApi.js
import axios from 'axios';
import { attachAuthInterceptors } from './attachInterceptors';
import { createApi } from './createApi';
export const initAnsibleApi = (logout) => createApi(process.env.REACT_APP_API_ANSIBLE, logout);

const ansibleApi = axios.create({
  baseURL: process.env.REACT_APP_API_ANSIBLE,
  headers: { 'Content-Type': 'application/json' }
});

attachAuthInterceptors(ansibleApi);

export default ansibleApi;
